Bug 195846 - Review Request: pengupop - Networked Game in the vein of Move/Puzzle Bobble
Review Request: pengupop - Networked Game in the vein of Move/Puzzle Bobble
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-18 14:46 EDT by Hugo Cisneiros
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-19 09:49:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hugo Cisneiros 2006-06-18 14:46:24 EDT
Spec URL: http://www.devin.com.br/eitch/fextras/SPECS/pengupop.spec
SRPM URL: http://www.devin.com.br/eitch/fextras/SRPMS/pengupop-2.0.2-1.src.rpm
Description:

Finally a networked multiplayer game in the vein of the puzzle classic Bust a
Move/Puzzle Bobble. Beat your friends in this addictive game, or play against
a random opponent! The purpose of this game is to shoot colored orbs into your
playfield, so they form groups of three or more. You win if you manage to
remove all orbs. You lose if any orb attaches below the white line.

You can make the job harder for your opponent by making orbs fall down as a
side-effect of you forming a group. For example, on the screenshot shown on
this page, the player on the right playfield can fire a black orb onto the
three black orbs in the middle of his field, and cause the seven orbs below to
reapper on his opponent's playfield.
Comment 1 Wart 2006-06-18 19:45:21 EDT
MUST
====
* rpmlint output clean
* Package and spec named appropriately
* Source matches upstream:
  5c213ecb3cf1bd714dbae771f97ee19a  pengupop-2.0.2.tar.gz
* GPL license ok, license file included
* Spec file legible and in Am. English
* No excessive BR:
* No locales
* No shared libs
* No need for a -devel subpackage (no headers, libs, or *.pc)
* Not relocatable
* Permissions look ok
* $RPM_BUILD_ROOT cleaned where needed
* Contains code, not content
* No need for -doc subpackage
* %doc does not affect runtine
* .desktop file installed correctly
* Does not own directories that it shouldn't
* Builds and packages on mock for:
  FC4-i386, FC4-x86_64, FC5-i386, FC5-x86_64

MUSTFIX
=======
* Missing BR: desktop-file-utils
* The %description refers to screenshots which aren't visible in the spec.
  Best just to remove the second paragraph from the %description.
* In the desktop-file-install, use $RPM_BUILD_ROOT instead of ${RPM_BUILD_ROOT}
  for consistency.
Comment 2 Hugo Cisneiros 2006-06-18 20:45:08 EDT
Package Updated:

Spec URL: http://www.devin.com.br/eitch/fextras/SPECS/pengupop.spec
SRPM URL: http://www.devin.com.br/eitch/fextras/SRPMS/pengupop-2.0.2-2.src.rpm

Changes:

- Added desktop-file-utils BR
- Removed description inconsistency
Comment 3 Wart 2006-06-18 21:03:34 EDT
All MUSTFIX items fixed.

APPROVED
Comment 4 Rudolf Kastl 2006-06-19 06:59:21 EDT
sweet :)
Comment 5 Hugo Cisneiros 2006-06-19 09:49:55 EDT
Imported and built! Thanks
Comment 6 Jon Ciesla 2007-02-28 08:49:53 EST
Change owner to limb@jcomserv.net (orphaned)
Comment 7 Jon Ciesla 2007-03-01 14:41:05 EST
Add lxtnow@gmail.com as co-maintainer.

Note You need to log in before you can comment on or make changes to this bug.